Documentation Index

Fetch the complete documentation index at: https://docs.wair.ai/llms.txt

Use this file to discover all available pages before exploring further.

POST /Colors

Prev Next

GENERAL INFORMATION

Purpose

This endpoint is used for sharing product color information.

How the data is used

The color information is of course crucial for the product information. Both for Wallie and users to be able to establish the color of a product, specifically in case of lacking images. The color is shown throughout the customer portal so users are quick to identify the colors of the products in the overviews where no product image is shown:

This makes it a mandatory dataset to share.

Best practices

  1. Make sure to update the colors on a regular basis, recommended minimum once a day, to ensure the color information is complete and in-line with the colors assigned to the skus of the items.

  2. Ensure that the id you are using in this endpoint aligns with the colorId you are assigning to the skus of the items in this endpoint POST /Items

  3. For the description use a clear, short description of the color, for example “Pink”

Common pitfalls

  1. Do not generated a random id for the colorId field in the integration, only use system generated id’s that are fixed in the source system, as you need the same id to also be able to be able to update the color information.

  2. A common pitfall is to send a system generated like a guid in the code field, which can make it unclear for users in our customer portal to see which color they are looking at.

Example use cases

  1. As a merchandiser I want to redistribute the seasonal, yellow colored variation, of our basic men t-shirt to the high performing stores, as there is no more replenishment stock of this color.

TECHNICAL INFORMATION

Authentication

Bearer token, information on page POST /Token

Headers

Name

Description

Example

X-Tenant

Tenant code supplied by Wair

“TENANT”

QueryParameters:

Name

Description

Example

fullLoad

See documentation: Integration core principles

true

Body example:

{
  "colors": [
    {
      "colorId": "35b283de-17f1-40e1-98ca-dab8c6550c8c",
      "code": "WHT",
      "description": "White"
    },
    {
      "colorId": "78823ffc-ae72-4bf8-96b2-ea9ded3c5818",
      "code": "BLK",
      "description": "Black"
    }
  ]
}

Field information:

Fieldname

Context

Mandatory

Type / max field length

colorId

Unique identifier for this color, for example a uuid, needs to be unique across all colors. If you want to update a color, send the color again using this id.

Yes

string / 80 characters

code

A business key, often user defined, of the collection

Yes

string / 60 characters max

description

The name of the color

No, but highly preferred

string / 255 characters max

RESPONSE

StatusCodes:

200 = OK

401 = Unauthorized, which means an expired/missing/invalid token

400 = Bad request, see body of the response to check which validation errors have occured

500 = System error, see body of the response to check which error has occured or contact integration support

Body Example:

No body in the response